NumberFormatter::getLocale
NumberFormatter::getSymbol
NumberFormatter
PHP Manual

# NumberFormatter::getPattern

# numfmt_get_pattern

Get formatter pattern

### Description

Object oriented style

public string NumberFormatter::getPattern ( void )

Procedural style

string numfmt_get_pattern ( NumberFormatter `$fmt` )

Extract pattern used by the formatter.

### Parameters

`fmt`

  NumberFormatter object.

### Return Values

Pattern string that is used by the formatter, or `FALSE` if an error happens.

### Examples

Example #1 numfmt_get_pattern example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
echo "Pattern: ".numfmt_get_pattern($fmt)."\n";
echo numfmt_format($fmt, 1234567.891234567890000)."\n";
numfmt_set_pattern($fmt, "#0.# kg");
echo "Pattern: ".numfmt_get_pattern($fmt)."\n";
echo numfmt_format($fmt, 1234567.891234567890000)."\n";
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
echo "Pattern: ".$fmt->getPattern()."\n";
echo $fmt->format(1234567.891234567890000)."\n";
$fmt->setPattern("#0.# kg");
echo "Pattern: ".$fmt->getPattern()."\n";
echo $fmt->format(1234567.891234567890000)."\n";
?>`

The above example will output:

    Pattern: #,##0.###
    1.234.567,891
    Pattern: #0.# kg
    1234567,9 kg

### See Also

- numfmt_get_error_code
- numfmt_set_pattern
- numfmt_create